Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TermVectorsPositionInfo Class Reference

Container for a term at a position. More...

`#include <PositionBasedTermVectorMapper.h>`

Inheritance diagram for Lucene::TermVectorsPositionInfo:

## Public Member Functions

| TermVectorsPositionInfo (int32_t position, bool storeOffsets)
virtual | ~TermVectorsPositionInfo ()
virtual String | getClassName ()
boost::shared_ptr < TermVectorsPositionInfo > | shared_from_this ()
void | addTerm (const String &term, TermVectorOffsetInfoPtr info)
int32_t | getPosition ()
Collection< String > | getTerms ()
| Note, there may be multiple terms at the same position. More...
Collection < TermVectorOffsetInfoPtr > | getOffsets ()
| Parallel list (to getTerms()) of TermVectorOffsetInfo objects. There may be multiple entries since there may be multiple terms at a position. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

int32_t | position
Collection< String > | terms
Collection < TermVectorOffsetInfoPtr > | offsets

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Container for a term at a position.

## Constructor & Destructor Documentation

Lucene::TermVectorsPositionInfo::TermVectorsPositionInfo | ( | int32_t | position,
|  | bool | storeOffsets
| ) |  |

virtual Lucene::TermVectorsPositionInfo::~TermVectorsPositionInfo | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermVectorsPositionInfo::_getClassName | ( | ) |  |

inline static

void Lucene::TermVectorsPositionInfo::addTerm | ( | const String & | term,
|  | TermVectorOffsetInfoPtr | info
| ) |  |

virtual String Lucene::TermVectorsPositionInfo::getClassName | ( | ) |  |

inline virtual

Collection<TermVectorOffsetInfoPtr> Lucene::TermVectorsPositionInfo::getOffsets | ( | ) |  |

Parallel list (to getTerms()) of TermVectorOffsetInfo objects. There may be multiple entries since there may be multiple terms at a position.

Returns
  A List of TermVectorOffsetInfo objects, if offsets are stored.

int32_t Lucene::TermVectorsPositionInfo::getPosition | ( | ) |  |

Returns
  The position of the term

Collection<String> Lucene::TermVectorsPositionInfo::getTerms | ( | ) |  |

Note, there may be multiple terms at the same position.

Returns
  A List of Strings

boost::shared_ptr< TermVectorsPositionInfo > Lucene::TermVectorsPositionInfo::shared_from_this | ( | ) |  |

inline

## Field Documentation

Collection<TermVectorOffsetInfoPtr> Lucene::TermVectorsPositionInfo::offsets

protected

int32_t Lucene::TermVectorsPositionInfo::position

protected

Collection<String> Lucene::TermVectorsPositionInfo::terms

protected

The documentation for this class was generated from the following file:

- PositionBasedTermVectorMapper.h

clucene.sourceforge.net